package com.thinkgem.jeesite.modules.youka.dto;

/**
 * 快捷支付
 */
public class ApiQuickPayDto extends MerchantDto {
    private String name;//商户展示名称
    private String body;//商品名称
    private String url;//快捷返回地址
    private String notifyUrl;//通知地址
    private String frontUrl;//前台地址
    private Long amount;//金额  统一用分
    private Integer type;//交易类型

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public String getFrontUrl() {
        return frontUrl;
    }

    public void setFrontUrl(String frontUrl) {
        this.frontUrl = frontUrl;
    }

    public Long getAmount() {
        return amount;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }
}
